Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Install GitHub app

POST/workspaces/{organizationId}/github/install
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
installationIdstringrequired
Responses
200

Installed repositories

reposobject[]required
Show properties
Array of object
full_namestringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/github/install' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "installationId": "string"
}'
Response
{
  "repos": [
    {
      "full_name": "string"
    }
  ]
}

Was this page helpful?